Default Package file invalid

Hi,

I currently have the Xperia ROM installed and I keep having the package file invalid error when updating apps. I have installed the ROM a number of times and everything will go smooth for a while but then the market just stops working. I'm lost on what to do and looking for help.

Thanks,
Jag_Five-o